<?php

require __DIR__ . '/../vendor/autoload.php';

$configurator = new Nette\Configurator;

$configurator->setDebugMode(['81.200.57.172', '109.81.211.124', '109.81.215.162']); // enable for your remote IP
$configurator->enableDebugger(__DIR__ . '/../log');

$configurator->setTimeZone('Europe/Prague');
$configurator->setTempDirectory(__DIR__ . '/../temp');

$configurator->createRobotLoader()
	->addDirectory(__DIR__)
	->register();

$configurator->addConfig(__DIR__ . '/config/config.neon');
$configurator->addConfig(__DIR__ . '/config/config.local.neon');

\Nella\Forms\DateTime\DateInput::register();
\Nella\Forms\DateTime\DateTimeInput::register();

$container = $configurator->createContainer();
$container->getByType('Nette\Http\Response')->warnOnBuffer = FALSE;

return $container;
