<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\Model;

use App\Model\BaseManager;

/**
 * Správce uživatelských logů - zaznamenává uživatelské akce
 * @package App\Model
 *
 * @author Jan Vodák <jan at ideatech.cz>
 */
class UserLogManager extends BaseManager {

    /** Konstanty pro manipulaci s modelem user_log . */
    const
            TABLE_NAME = 'user_log',
            COLUMN_ID = 'user_log_id',
            COLUMN_USER = 'user_id',
            COLUMN_DATE = 'date';

    /** Konstanty pro manipulaci s modelem user_activity_log . */
    const
            TABLE_ACTIVITY_NAME = 'user_activity_log',
            COLUMN_ACTIVITY_ID = 'user_activity_log_id',
            COLUMN_RESOURCE = 'resource_name',
            COLUMN_ACTIVITY = 'activity_name',
            COLUMN_DESCRIPTION = 'description';
    
    /**
     * Vrátí tabulku jako zdroj pro DataGrid
     * @return Table\Selection
     */
    public function getLoginTable() {
        return $this->database->table(self::TABLE_NAME);
    }

    /**
     * Vrátí tabulku jako zdroj pro DataGrid
     * @return Table\Selection
     */
    public function getActivityTable() {
        return $this->database->table(self::TABLE_ACTIVITY_NAME);
    }

}
