<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\BlogModule\Presenters;

use App\BlogModule\Components\ICategoryEditorFormFactory;
use App\BlogModule\Model\CategoryManager;

/**
 * @resourceDescription Zpracovává požadavky na kategorie produktů.
 * @package App\BlogModule\Presenters
 *
 * @author Jan Vodák <jan at ideatech.cz>
 */
class CategoryPresenter extends BaseBlogPresenter
{

    /**
     * @var ICategoryEditorFormFactory
     */
    private $categoryEditorFormFactory;

    public function __construct(ICategoryEditorFormFactory $categoryEditorFormFactory)
    {
        parent::__construct();
        $this->categoryEditorFormFactory = $categoryEditorFormFactory;
    }

    /**
     * Nastavení layoutu pro backend. Metoda se volá před render metodami.
     */
    public function beforeRender()
    {
        parent::beforeRender();
        $this->setLayout('layoutBackend');
    }

    /**
     * @actionName default
     * @actionDescription Vykresluje a zároveň se zde editují kategorie aktualit/blogu
     */
    public function renderDefaul()
    {

    }

    /**
     * @return \App\BlogModule\Components\CategoryEditorFormControl
     */
    protected function createComponentCategoryEditorForm()
    {
        return $this->categoryEditorFormFactory->create();
    }

}
