<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\CoreModule\Model;

use App\Model\BaseManager;

/**
 * Správce nastavení emailů.
 * @package App\EshopModule\Model
 *
 * @author Jan Vodák <jan at ideatech.cz>
 */
class EmailSettingsManager extends BaseManager {

    /** Konstanty pro manipulaci s modelem. */
    const
            TABLE_NAME = 'email_settings',
            COLUMN_ID = 'settings_id',
            COLUMN_EMAIL_TYPE = 'email_type',
            COLUMN_EMAIL = 'email';

    /** Konstanty pro práci s typy */
    const
            TYPE_ORDER_MAIL = 'order_mail',
            TYPE_CONTACT_MAIL = 'contact_mail',
            TYPE_SENDER_MAIL = 'sender_mail';

    /**
     * Vrátí všechny možnosti, pro jaké lze nastavit odesílání emailů - manuálně vypsané typy, které se budou používat
     * @return array typy emailů
     */
    public function getEmailTypes() {
        return array(
            self::TYPE_ORDER_MAIL => 'E-mail pro objednávky',
            self::TYPE_CONTACT_MAIL => 'E-mail pro kontaktní formulář',
            self::TYPE_SENDER_MAIL => 'E-mail pro odchozí poštu'
        );
    }

}
