<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\CoreModule\Model;

use App\Model\BaseManager;

/**
 * Správce uživatelských logů
 * @package App\EshopModule\Model
 *
 * @author Jan Vodák <jan at ideatech.cz>
 */
class ModuleManager extends BaseManager {

    /** Konstanty pro manipulaci s moduly . */
    const
            TABLE_NAME = 'module',
            COLUMN_ID = 'module_id',
            COLUMN_NAME = 'name',
            COLUMN_SLUG = 'slug',
            COLUMN_ACTIVE = 'active';

    /**
     * Metoda pro kontrolu, zda je modul aktivní
     * Pokud ano, vrací true, jinak vrací false
     * @param String $moduleSlug unikátní slug modulu
     * @return bool true or false, pokud je modul aktivní
     */
    public function checkModulActivity($moduleSlug) {
        $module = $this->getById(self::TABLE_NAME, self::COLUMN_SLUG, $moduleSlug);
        if($module[self::COLUMN_ACTIVE]) {
            return true;
        } else {
            return false;
        }
    }

}
