<?php

/**
 * Třída poskytuje metody pro správu stránek v redakčním systému.
 * @package App\CmsModule\Model
 *
 * @author Petr Vojáček <petr at ideatech.cz>
 */

namespace App\CoreModule\Model;

use App\Model\BaseManager;
use Nette\Database\Table\IRow;
use Nette\Database\Table\Selection;
use Nette\Utils\ArrayHash;

class PartnerManager extends BaseManager
{

    /** Konstanty pro manipulaci s modelem. */
    const
        TABLE_NAME = 'partner',
        COLUMN_ID = 'id',
        COLUMN_TITLE = 'title',
        COLUMN_URL = 'url',
        COLUMN_IMAGE = 'image',
        COLUMN_POSITION = 'position';

    /**
     * Vrátí seznam partnerů v databázi
     * @return Selection seznam partnerů
     */
    public function getAll()
    {
        return $this->database->table(self::TABLE_NAME)->order(self::COLUMN_POSITION . ' DESC');
    }

    /**
     * Vrátí tabulku jako zdroj pro DataGrid
     */
    public function getTable()
    {
        return $this->database->table(self::TABLE_NAME);
    }
}
