<?php

/**
 * Třída poskytuje metody pro správu stránek v redakčním systému.
 * @package App\CmsModule\Model
 *
 * @author Petr Vojáček <petr at ideatech.cz>
 */

namespace App\CoreModule\Model;

use App\Model\BaseManager;
use Nette\Database\Table\Selection;

class SocialManager extends BaseManager
{

    /** Konstanty pro manipulaci s modelem. */
    const
        TABLE_NAME = 'social',
        COLUMN_ID = 'id',
        COLUMN_TITLE = 'title',
        COLUMN_URL = 'url',
        COLUMN_IMAGE = 'image',
        COLUMN_POSITION = 'position';

    /**
     * Vrátí seznam sociálních sítí v databázi.
     * @return Selection seznam sítí
     */
    public function getAll()
    {
        return $this->database->table(self::TABLE_NAME)->order(self::COLUMN_POSITION . ' DESC');
    }

    /**
     * Vrátí tabulku jako zdroj pro DataGrid
     */
    public function getTable()
    {
        return $this->database->table(self::TABLE_NAME);
    }
}
