<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\EmailModule\Presenters;

use App\EmailModule\Components\IEmailDataGridFactory;

/*
 * @resourceDescription Sběr emailových adres
 * @package App\EmailModule\Presenters
 *
 * @author Jan Vodák <vodak at ideatech.cz>
 */

class EmailPresenter extends BaseEmailPresenter {

    /**
     * @var IEmailDataGridFactory
     */
    private $emailDataGridFactory;
    
    /**
     * EmailPresenter constructor
     * @param IEmailDataGridFactory $emailDataGridFactory Component for create email datagrid
     */
    public function __construct(IEmailDataGridFactory $emailDataGridFactory){
        $this->emailDataGridFactory = $emailDataGridFactory;
    }

    /**
     * @actionName manage
     * @actionDescription Sběr emailových adres z webové části
     */
    public function renderManage() {
        
    }

    /**
     * @return \App\EmailModule\Components\EmailDataGridControl
     */
    protected function createComponentEmailDataGrid() {
        return $this->emailDataGridFactory->create();
    }

}
