<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\EshopModule\Model;

use App\Model\BaseManager;

/**
 * Spravuje metody platby.
 * @package App\EshopModule\Model
 * 
 * @author Jan Vodák <jan at ideatech.cz>
 */
class PaymentMethodsManager extends BaseManager {

    /** Konstanty pro manipulaci s modelem. */
    const
            TABLE_NAME = 'payment_methods',
            COLUMN_ID = 'payment_method_id',
            COLUMN_NAME = 'payment_name',
            COLUMN_PAYMENT_PRICE = 'payment_price',
            COLUMN_PRICE_STATUS = 'status';
    
     /** Konstanty pro náýzvy klíčů polí pro výpis metod (doprava i platby - sjednocené). */
    const
            COLUMN_TITLE = 'title',
            COLUMN_PRICE = 'price';
    
    /**
     * Vrátí specifické metody platby, podle nastavení v adminu
     * První získám všechny publikované, pak podle podmínky vyberu jen konrkténí a udělám z nich pole key => value
     * @param   ArrayHash $orderTotal   celková cena aktuální objednávky a celkový počet položek v košíku
     * @return  Selection               metody dopravy
     */
    public function getPaymentMethods($orderTotal){
        $allMethods = $this->getAllPublished(self::TABLE_NAME);
        $methods = [];

        foreach ($allMethods as $method) {
            $methods[$method[self::COLUMN_ID]] = [
                self::COLUMN_TITLE => $method[self::COLUMN_NAME],
                self::COLUMN_PRICE => $method[self::COLUMN_PAYMENT_PRICE]
            ];
        }

        return $methods;
    }
}
