<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\EshopModule\Model;

use App\Model\BaseManager;

/**
 * Spravuje metody doručení produktu.
 * @package App\EshopModule\Model
 * 
 * @author Jan Vodák <jan at ideatech.cz>
 */
class ShippingMethodsManager extends BaseManager {

    /** Konstanty pro manipulaci s modelem. */
    const
            TABLE_NAME = 'shipping_methods',
            COLUMN_ID = 'shipping_method_id',
            COLUMN_NAME = 'shipping_name',
            COLUMN_SHIPPING_PRICE = 'shipping_price',
            COLUMN_WEIGHT_START = 'weight_start',
            COLUMN_WEIGHT_STOP = 'weight_stop',
            COLUMN_PRICE_START = 'price_start',
            COLUMN_PRICE_STOP = 'price_stop',
            COLUMN_PRICE_STATUS = 'status';
    
     /** Konstanty pro náýzvy klíčů polí pro výpis metod (doprava i platby - sjednocené). */
    const
            COLUMN_TITLE = 'title',
            COLUMN_PRICE = 'price';
    
    /**
     * Vrátí specifické metody doručení, podle nastavení v adminu, buď zdarma, nebo s nějakou cenou
     * První získám všechny publikované, pak podle podmínky vyberu jen konrkténí a udělám z nich pole key => value
     * @param   ArrayHash $orderTotal   celková cena aktuální objednávky a celkový počet položek v košíku
     * @return  Selection               metody dopravy
     */
    public function getShippingMethods($orderTotal){
        $allMethods = $this->getAllPublished(self::TABLE_NAME);
        
        $methods = [];

        foreach ($allMethods as $method) {
            if($method[self::COLUMN_PRICE_START] <= $orderTotal->price && ($method[self::COLUMN_PRICE_STOP] > $orderTotal->price || $method[self::COLUMN_PRICE_STOP] == 0)){
                $methods[$method[self::COLUMN_ID]] = [
                    self::COLUMN_TITLE => $method[self::COLUMN_NAME],
                    self::COLUMN_PRICE => $method[self::COLUMN_SHIPPING_PRICE]
                ];
            }
        }

        return $methods;
    }
}
