<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\EshopModule\Presenters;

use App\EshopModule\Components\Forms\ICategoryEditorFormFactory;

/**
 * @resourceDescription Zpracovává požadavky na práci s kategoriemi produktů.
 * @actionName default
 * @actionDescription Přehled, tvorba a editace kategorií pro proukty
 * @package App\EshopModule\Presenters
 *
 * @author Jan Vodák <jan at ideatech.cz>
 */
class CategoryPresenter extends BaseEshopPresenter
{

    /**
     * @var ICategoryEditorFormFactory
     */
    private $categoryEditorFormFactory;

    public function __construct(ICategoryEditorFormFactory $categoryEditorFormFactory)
    {
        parent::__construct();
        $this->categoryEditorFormFactory = $categoryEditorFormFactory;
    }

    /**
     * Nastavení layoutu pro backend. Metoda se volá před render metodami.
     */
    public function beforeRender()
    {
        parent::beforeRender();
        $this->setLayout('layoutBackend');
    }

    /**
     * @return \App\EshopModule\Components\Forms\CategoryEditorFormControl
     */
    protected function createComponentCategoryEditorForm()
    {
        return $this->categoryEditorFormFactory->create();
    }

}
