<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\FrontModule\Components;

use Nette\Application\UI\Control;

/**
 * Komponenta pro rekurizvní vykreslení zanořený seznam kategorií v menu s odkazy.
 * @package App\FrontModule\Components
 *
 * @author Jan Vodák <vodak at ideatech.cz>
 */
class ArticleCategoryControl extends Control {

    /** Cesta k souboru šablony pro tuto komponentu. */
    const TEMPLATE = '/../templates/components/ArticleCategoryControl/category.latte';

    /**
     * Vykresluje komponentu kategorie.
     * @param array $categories kategorie, které se mají vykreslit
     */
    public function render($categories) {
        // Nastaví šablonu komponenty.
        $this->template->setFile(dirname(__FILE__) . self::TEMPLATE);
        // Předá kategorie pro vykreslení do šablony.
        $this->template->categories = $categories;
        // Vykreslí komponentu.
        $this->template->render();
    }

    /**
     * Vytváří komponentu pro vykreslení kategorie při rekurzivním volání pro účel vykreslení sub-kategorie v menu.
     * @return ArticleCategoryControl instance komponenty pro vykreslení kategorie menu
     */
    protected function createComponentCategories() {
        return new ArticleCategoryControl();
    }

}
