<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\FrontModule\Components;

use Nette\Application\UI\Control;

/**
 * Komponenta pro vykreslení "hvězdičnového" hodnocení.
 * @package App\EshopModule\Components
 * 
 * @author Jan Vodák <jan at ideatech.cz>
 */
class RatingControl extends Control {

    /** Cesta k souboru šablony pro tuto komponentu. */
    const TEMPLATE_PATH = '/../templates/components/Rating/';

    /**
     * Vykresluje komponentu "hvězdičnového" hodnocení.
     * Pokud je zadán celkový součet hodnocení vygeneruje počet plných a prázdných hvězdiček na základě součtu hlasů a
     * jejich počtu, jinak vykreslí komponentu pro udělování hvězdiček.
     * @param null|int $sum   celkový součet všech hodnocení (může být null, pokud chceme vykreslit komponentu pro
     *                        udělování hvězdiček)
     * @param int      $count počet hodnocení (nemusí být zadáno pokud chceme jednoduše zobrazit určitý počet hvězdiček
     *                        - ten je pak zadán jako první parametr)
     */
    public function render($sum = null, $count = 1) {
        if (isset($sum)) {
            // Nastaví standardní šablonu komponenty.
            $this->template->setFile(dirname(__FILE__) . self::TEMPLATE_PATH . 'rating.latte');
            $this->template->rating = ($count > 0) ? round($sum / $count) : 0; // Předává spočtený rating do šablony.
        } else // Nastaví šablonu komponenty pro udělování hvězdiček.
            $this->template->setFile(dirname(__FILE__) . self::TEMPLATE_PATH . 'grant.latte');
        $this->template->render(); // Vykreslí komponentu.
    }

}
