<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\FrontModule\Presenters;

use App\EshopModule\Model\OrderManager;
use App\FrontModule\Components\OrderStateControl;

/**
 * Společný presenter pro všechny presentery podílející se na stavu objednávky.
 * @package App\EshopModule\Presenters
 *
 * @author Jan Vodák <vodak at ideatech.cz>
 */
class OrderStatePresenter extends BaseFrontPresenter
{

    /**
     * Vytváří a vrací komponentu pro vykreslení stavu objednávky.
     * Není vytvořena továrnička - nutnost předávat závislosti do kontruktoru manuálně
     * @return OrderStateControl komponenta pro stav objednávky
     */
    protected function createComponentState()
    {
        return new OrderStateControl($this->getUser());
    }

}
