<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\MediaModule\Components;

use App\MediaModule\Model\FileRelationsManager;
use Nette\Application\UI\Control;

/**
 * Class GalleryControl
 * @package App\MediaModule\Components
 */
class GalleryControl extends Control
{
	/**
	 * @var FileRelationsManager
	 */
	protected $fileRelationsManager;

	/** Cesta k souboru šablony pro tuto komponentu. */
	const TEMPLATE = '/../templates/components/Gallery/gallery.latte';

	/**
	 * GalleryControl constructor.
	 * @param FileRelationsManager $fileRelationsManager
	 */
	public function __construct(FileRelationsManager $fileRelationsManager)
	{
		parent::__construct();
		$this->fileRelationsManager = $fileRelationsManager;
	}

	public function render($entity, $entityId, $class = null)
	{
		// Nastaví šablonu komponenty.
		$this->template->setFile(dirname(__FILE__) . self::TEMPLATE);

		// Předává parametry do šablony.
		$this->template->entity = $entity;
		$this->template->entityId = $entityId;
		$this->template->class = $class;
		$this->template->images = $this->fileRelationsManager->getEntityImages($entity, $entityId);

		// Vykreslí komponentu.
		$this->template->render();
	}

}

interface IGalleryFactory
{
	/**
	 * @return GalleryControl
	 */
	public function create();
}
