<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this templates file, choose Tools | Templates
 * and open the templates in the editor.
 */

namespace App\Services;

use App\CoreModule\Model\EmailSettingsManager;
use Nette\Mail\Message;
use Ublaboo\Mailing\Mail;


class MailFactory extends Message
{

    /**
     * @var \Ublaboo\Mailing\MailFactory
     */
    private $mailFactory;

    /**
     * @var EmailSettingsManager
     */
    private $emailSettingsManager;

    /**
     * MailFactory constructor.
     * @param \Ublaboo\Mailing\MailFactory $mailFactory
     * @param EmailSettingsManager $emailSettingsManager
     */
    public function __construct(\Ublaboo\Mailing\MailFactory $mailFactory, EmailSettingsManager $emailSettingsManager)
    {
        parent::__construct();
        $this->mailFactory = $mailFactory;
        $this->emailSettingsManager = $emailSettingsManager;
    }

    public function createByType($type, $args = NULL) : Mail
    {
        if (!$args) {
            $args = [];
        }
        $args['emails'] = $this->emailSettingsManager->getAllPublished(EmailSettingsManager::TABLE_NAME);

        return $this->mailFactory->createByType($type, $args);
    }


}
