<?php

namespace Step\Acceptance;

class AdminLogin extends \AcceptanceTester {

    /**
     * Backend log in with wrong password is working
     */
    public function wrongPassword() {
        $I = $this;
        $I->amOnPage('/administrace');
        $I->wait(1);
        $I->fillField('#frm-loginForm-email', 'test@test.cz');
        $I->fillField('#frm-loginForm-password', 'spatneheslo');
        $I->click('input[type=submit]');
    }

    /**
     * Backend login with no permission
     */
    public function loginAsMember() {
        $I = $this;
        $I->amOnPage('/administrace');
        $I->wait(1);
        $I->fillField('#frm-loginForm-email', 'holy@mail.cz');
        $I->fillField('#frm-loginForm-password', 'pokusheslo');
        $I->click('input[type=submit]');
    }

    /**
     * Backend login
     */
    public function loginAsAdmin() {
        $I = $this;
        $I->amOnPage('/administrace');
        $I->wait(1);
        $I->fillField('#frm-loginForm-email', 'test@test.cz');
        $I->fillField('#frm-loginForm-password', 'testheslo');
        $I->click('input[type=submit]');
    }

    /**
     * Backend lgout
     */
    public function adminLogout() {
        $I = $this;
        $I->wait(1);
        $I->amOnPage('/logout');
    }

}
