<?php

use \Step\Acceptance\AdminLogin as AdminTester;

class BlogCest {

    /**
     * Try if blog creating is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function blogCreatingTest(AdminTester $I) {
        $I->wantTo('try if blog creating is working');
        $I->loginAsAdmin();
        $I->wait(2);
        $I->amOnPage('/administrace/cms/blog/editor');
        $I->wait(2);
        $I->fillField('#frm-articleForm-articleForm-title', 'ZZZZ Pokusný příspěvek blogu v rámci testů');
        $I->fillField('#frm-articleForm-articleForm-description', 'Pokusný příspěvek blogu v rámci testů - popisek');    
        $I->click('#frm-articleForm-articleForm-categories');
        $I->clickWithLeftButton('#frm-articleForm-articleForm-categories', 5, 5);
        $I->wait(1);
        $I->click('_submit');
        $I->wait(2);
        $I->see('Článek byl úspěšně uložen', '.alert-success');
    }

    /**
     * Try if blog edit is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function blogEditTest(AdminTester $I) {
        $I->wantTo('try if blog edit is working');
        $I->amOnPage('/administrace/cms/blog/');
        $I->wait(2);
        $I->click('#snippet-articleDataGrid-dataGrid-table tbody tr:last-child td:last-child a:first-child');
        $I->wait(2);
        $I->fillField('#frm-articleForm-articleForm-title', 'ZZZZ Pokusný příspěvek blogu v rámci testů - editace');
        $I->click('_submit');
        $I->wait(2);
        $I->see('Článek byl úspěšně uložen', '.alert-success');
    }

    /**
     * Try if delete blog is working
     * @param  AdminTester $I
     * @return boolean
     * @depends blogCreatingTest
     */
    public function deleteBlogTest(AdminTester $I) {
        // User activity log
        $I->wantTo('try if delete blog is working');
        $I->amOnPage('/administrace/cms/blog');
        $I->wait(2);
        $I->click('#snippet-articleDataGrid-dataGrid-table tbody tr:last-child td:last-child a.btn-danger');
        $I->wait(1);
        $I->acceptPopup();
        $I->wait(2);
        $I->see('byl úspěšně odstraněn.', '.alert-success');
    }

    /**
     * Try if blog category creating is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function blogCategoryCreateTest(AdminTester $I) {
        $I->wantTo('try if blog category creating is working');
        $I->wait(2);
        $I->amOnPage('/administrace/cms/blog/kategorie');
        $I->wait(2);
        $I->click('.editor-node:first-child button');
        $I->wait(1);
        $I->fillField('#root > li:last-child input.tree-menu-title-editor', 'ZZZZ Pokusná kategorie blogu v rámci testů');
        $I->fillField('#root > li:last-child input.tree-menu-url-editor', 'pokus');
        $I->click('_submit');
        $I->wait(2);
        $I->see('Kategorie byly úspěšně uloženy.', '.alert-success');
    }

    /**
     * Try if blog category delete is working
     * @param  AdminTester $I
     * @return boolean
     * @depends blogCategoryCreateTest
     */
    public function blogCategoryDeleteTest(AdminTester $I) {
        $I->wantTo('try if blog category delete is working');
        $I->amOnPage('/administrace/cms/blog/kategorie');
        $I->wait(2);
        $I->click('#root > li:last-child .btn-danger');
        $I->wait(1);
        $I->click('_submit');
        $I->wait(2);
        $I->see('Kategorie byly úspěšně uloženy.', '.alert-success');
    }

}
