<?php

use \Step\Acceptance\AdminLogin as AdminTester;

class PageCest {

    /**
     * Try if page creating is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function pageCreatingTest(AdminTester $I) {
        $I->wantTo('try if page creating is working');
        $I->loginAsAdmin();
        $I->wait(2);
        $I->amOnPage('/administrace/cms/stranky/editor/');
        $I->wait(2);
        $I->fillField('#frm-pageForm-pageForm-title', 'Pokusná stránka v rámci testů');
        $I->click('_submit');
        $I->wait(2);
        $I->see('Stránka byla úspěšně uložena', '.alert-success');
    }

    /**
     * Try if page edit is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function pageEditTest(AdminTester $I) {
        $I->wantTo('try if page edit is working');
        $I->amOnPage('/administrace/cms/stranky/');
        $I->wait(2);
        $I->click('#snippet-pageDataGrid-dataGrid-table .datagrid-tree-item:last-child .datagrid-tree-item-right-actions-action a:first-child');
        $I->wait(2);
        $I->fillField('#frm-pageForm-pageForm-title', 'Pokusná stránka v rámci testů - editace');
        $I->click('#pageSubmit');
        $I->wait(2);
        $I->see('Stránka byla úspěšně uložena', '.alert-success');
    }

    /**
     * Try if page gallery form is working
     * @param  AdminTester $I
     * @return boolean
     * @depends pageCreatingTest
     */
    /*
      public function pageGalleryTest(AdminTester $I) {
      $I->wantTo('try if page gallery form is working');
      $I->amOnPage('/administrace/cms/stranky/');
      $I->wait(2);
      $I->click('#snippet-pageDataGrid-dataGrid-table .datagrid-tree-item:last-child .datagrid-tree-item-right-actions-action a:first-child');
      $I->wait(2);
      // file is stored in 'tests/_data/'
      $I->attachFile('input[type="file"]:nth-child(1)', 'cms.png');
      $I->wait(2);
      $I->click('.uploadSubmit');
      $I->wait(5);
      $I->see('Přidání obrázků proběhlo úspěšně', '.alert-success');
      }
     * 
     */

    /**
     * Try if delete page is working
     * @param  AdminTester $I
     * @return boolean
     * @depends pageCreatingTest
     */
    public function deletePageTest(AdminTester $I) {
        // User activity log
        $I->wantTo('try if delete page is working');
        $I->amOnPage('/administrace/cms/stranky');
        $I->wait(2);
        $I->click('#snippet-pageDataGrid-dataGrid-table .datagrid-tree-item:last-child a.btn-danger');
        $I->wait(1);
        $I->acceptPopup();
        $I->wait(2);
        $I->see('byla úspěšně odstraněna.', '.alert-success');
    }

}
