<?php

use \Step\Acceptance\AdminLogin as AdminTester;

class BackendLoginCest {

    /**
     * Try if user front log in with wrong password is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function backendLoginWrongPasswordTest(AdminTester $I) {
        $I->wantTo('try if backend login with wrong password is working');
        $I->wrongPassword();
        $I->wait(2);
        $I->see('Zadané heslo není správně.', '.alert-danger');
    }
    
    /**
     * Try if administration login is working with role member
     * @param  AdminTester $I
     * @return boolean
     */
    public function backendMemberLoginTest(AdminTester $I) {
        $I->wantTo('try if administration login is working with user role member');
        $I->loginAsMember();
        $I->wait(2);
        $I->see('Nejsi přihlášený nebo nemáš dostatečná oprávnění.', '.alert-danger');
    }

    /**
     * Try if administration login is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function backendLogin(AdminTester $I) {
        $I->wantTo('try if administration login is working');
        $I->loginAsAdmin();
        $I->wait(2);
        $I->see('Byl jste úspěšně přihlášen.', '.alert-success');
    }

    /**
     * @param AdminTester $I
     * @return boolean
     */
    public function canLogout(AdminTester $I) {
        $I->wantTo('try if backend logout is working');
        $I->adminLogout();
        $I->wait(2);
        $I->see('Odhlášení proběhlo úspěšně.', '.alert-success');
    }

}
