<?php

use \Step\Acceptance\AdminLogin as AdminTester;

class UserCest {

    /**
     * Try if edit user role is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function editUserRoleTest(AdminTester $I) {
        // New settings
        $I->wantTo('try if edit user role is working');
        $I->loginAsAdmin();
        $I->wait(2);
        $I->amOnPage('/administrace/nastaveni/uzivatele/');
        $I->wait(2);
        $I->click('#snippet-userDatagrid-dataGrid-table tbody tr:first-child button');
        $I->wait(1);
        $I->click('#snippet-userDatagrid-dataGrid-table tbody tr:first-child .open ul li:last-child a');
        $I->wait(2);
        $I->see('byla nastavena nová role', '.alert-success');

        // Back to default settings
        $I->wantTo('set user rol back to default role');
        $I->click('#snippet-userDatagrid-dataGrid-table tbody tr:first-child button');
        $I->wait(1);
        $I->click('#snippet-userDatagrid-dataGrid-table tbody tr:first-child .open ul li:first-child a');
        $I->wait(2);
        $I->see('byla nastavena nová role', '.alert-success');
    }

    /**
     * Try if user registration is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function userRegistrationTest(AcceptanceTester $I) {
        $I->wantTo('try if user registration is working');
        $I->amOnPage('/administrace/nastaveni/uzivatele/novy');
        $I->wait(2);
        $I->fillField('#frm-personForm-personForm-person_detail-email', 'test@test.cz');
        $I->fillField('#frm-personForm-personForm-person_detail-first_name', 'Test jmeno');
        $I->fillField('#frm-personForm-personForm-person_detail-last_name', 'Test prijmeni');
        $I->fillField('#frm-personForm-personForm-address-street', 'Testovaci ulice');
        $I->fillField('#frm-personForm-personForm-address-city', 'Testovaci mesto');
        $I->fillField('#frm-personForm-personForm-address-zip', '12345');
        $I->fillField('#frm-personForm-personForm-address-registry_number', '4');
        $I->click('#changeUserDetailSubmit');
        $I->wait(2);
        $I->see('Uživatel s tímto loginem již existuje.', '.alert-danger');
    }
    
     /**
     * Try if user edit is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function userEditTest(AcceptanceTester $I) {
        $I->wantTo('try if user edit is working');
        $I->amOnPage('/administrace/nastaveni/uzivatele');
        $I->wait(2);
        $I->click('#snippet-userDatagrid-dataGrid-table tbody tr:first-child .col-action a');
        $I->wait(1);
        $I->click('#changeUserDetailSubmit');
        $I->wait(2);
        $I->see('Osoba byla úspěšně uložena', '.alert-success');
    }

}
