<?php

use \Step\Acceptance\AdminLogin as AdminTester;

class WebSettinsCest {

    /**
     * Try if social site form is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function createSocialTest(AdminTester $I) {
        $I->wantTo('try if social site form is working');
        $I->loginAsAdmin();
        $I->wait(2);
        $I->amOnPage('/administrace/cms/nastaveni/socialni-site');
        $I->wait(2);
        $I->fillField('#frm-socialForm-socialForm-title', 'ZZZZ Testovaci socialni sit');
        $I->fillField('#frm-socialForm-socialForm-url', 'test');
        $I->click('_submit');
        $I->wait(2);
        $I->see('Sociální síť byla úspěšně uložena', '.alert-success');
    }
    
     /**
     * Try if delete sorial site is working
     * @param  AdminTester $I
     * @return boolean
     * @depends createSocialTest
     */
    public function deleteSocialTest(AdminTester $I) {
        // User activity log
        $I->wantTo('try if delete social site is working');
        $I->amOnPage('/administrace/cms/nastaveni/socialni-site');
        $I->wait(2);
        $I->click('#snippet-socialDatagrid-dataGrid-table tbody tr:last-child td:last-child a.btn-danger');
        $I->wait(1);
        //$I->acceptPopup();
        $I->wait(2);
        $I->see('byla úspěšně odstraněna.', '.alert-success');
    }
    
    /**
     * Try if social partner logo form is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function createPartnerTest(AdminTester $I) {
        $I->wantTo('try if partner logo form is working');
        $I->amOnPage('/administrace/cms/nastaveni/partneri');
        $I->wait(2);
        $I->fillField('#frm-partnerForm-partnerForm-title', 'ZZZZ Testovaci partner');
        $I->fillField('#frm-partnerForm-partnerForm-url', 'test');
        $I->click('_submit');
        $I->wait(2);
        $I->see('Partner byl úspěšně uložen', '.alert-success');
    }
    
     /**
     * Try if delete partner logo is working
     * @param  AdminTester $I
     * @return boolean
     * @depends createPartnerTest
     */
    public function deletePartnerTest(AdminTester $I) {
        // User activity log
        $I->wantTo('try if delete partner logo is working');
        $I->amOnPage('/administrace/cms/nastaveni/partneri');
        $I->wait(2);
        $I->click('#snippet-partnerDatagrid-dataGrid-table tbody tr:last-child td:last-child a.btn-danger');
        $I->wait(1);
        //$I->acceptPopup();
        $I->wait(2);
        $I->see('byl úspěšně odstraněn.', '.alert-success');
    }
    
    /**
     * Try if select email form is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function selectEmailTest(AdminTester $I) {
        $I->wantTo('try if select email form is working');
        $I->amOnPage('/administrace/cms/nastaveni/email');
        $I->wait(2);
        $I->fillField('#frm-emailSettingsForm-emailSettingsForm-email', 'test@test.cz');;
        $I->click('_submit');
        $I->wait(2);
        $I->see('Tento typ e-malové adresy je již nastaven.', '.alert-danger');
    }


}
