<?php

use \Step\Acceptance\AdminLogin as AdminTester;

class AttributeManageCest {

    /**
     * Try if atributte creating is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function attributeCreatingTest(AdminTester $I) {
        $I->wantTo('try if atributte creating is working');
        $I->loginAsAdmin();
        $I->wait(2);
        $I->amOnPage('/administrace/eshop/produkty/atributy/editace/');
        $I->wait(1);
        $I->fillField('name', 'ZZZ Pokusný atribut v rámci testů');
        $I->click('#atributteSubmit');
        $I->wait(2);
        $I->see('Položka byla úspěšně uložena.', '.alert-success');
    }

    /**
     * Try if edit atribute is working
     * @param  AdminTester $I
     * @return boolean
     * @depends attributeCreatingTest
     */
    public function productEditAtributeTest(AdminTester $I) {
        $I->wantTo('Try if edit atribute is working');
        $I->amOnPage('/administrace/eshop/produkty/atributy/');
        $I->wait(2);
        $I->click('#snippet-attributeDataGrid-dataGrid-table tr:last-child td:last-child a:first-child');
        $I->wait(2);
        $I->fillField('name', 'ZZZ Pokusný atribut v rámci testů - editace');
        $I->click('#atributteSubmit');
        $I->wait(2);
        $I->see('Položka byla úspěšně uložena.', '.alert-success');
    }

    /**
     * Try if create atribute value is working
     * @param  AdminTester $I
     * @return boolean
     * @depends attributeCreatingTest
     */
    public function productCreateAtributeTest(AdminTester $I) {
        $I->wantTo('Try if create atribute value is working');
        $I->amOnPage('/administrace/eshop/produkty/atributy/');
        $I->wait(2);
        $I->click('#snippet-attributeDataGrid-dataGrid-table tr:last-child td:last-child a:first-child');
        $I->wait(2);
        $I->fillField('value', 'ZZZ Pokusná hodnota atributu v rámci testů');
        $I->click('#attributeValueSubmit');
        $I->wait(2);
        $I->see('Položka byla úspěšně uložena.', '.alert-success');
    }

    /**
     * Try if delete attribute value is working
     * @param  AdminTester $I
     * @return boolean
     * @depends productCreateAtributeTest
     */
    public function deleteAttributeValueTest(AdminTester $I) {
        $I->wantTo('try if delete attribute value is working');
        $I->amOnPage('/administrace/eshop/produkty/atributy/');
        $I->wait(2);
        $I->click('#snippet-attributeDataGrid-dataGrid-table tr:last-child td:last-child a:first-child');
        $I->wait(2);
        $I->click('#snippet-attributeValuesDataGrid-dataGrid-table tbody tr:last-child td:last-child a');
        $I->wait(1);
        $I->acceptPopup();
        $I->wait(2);
        $I->see('byla smazána.', '.alert-success');
    }

    /**
     * Try if delete attribute is working
     * @param  AdminTester $I
     * @return boolean
     * @depends attributeCreatingTest
     */
    public function deleteAttributeTest(AdminTester $I) {
        $I->wantTo('try if delete attribute is working');
        $I->amOnPage('/administrace/eshop/produkty/atributy/');
        $I->wait(2);
        $I->click('#snippet-attributeDataGrid-dataGrid-table tbody tr:last-child td:last-child a:last-child');
        $I->wait(1);
        $I->acceptPopup();
        $I->wait(2);
        $I->see('byl smazán', '.alert-success');
    }

    /**
     * Try if collective delete attribute is working
     * @param  AdminTester $I
     * @return boolean
     */
    /*
      public function collectiveActionDeleteTestTest(AdminTester $I) {
      $I->wantTo('Try if collective delete attribute is working');
      $I->loginAsAdmin();
      $I->wait(2);
      $I->amOnPage('/administrace/eshop/produkty/atributy/editace');
      $I->wait(1);
      $I->fillField('name', 'ZZZ Pokusný atribut v rámci testů');
      $I->click('#atributteSubmit');
      $I->wait(2);

      $I->click('#snippet-attributeDataGrid-dataGrid-table tbody tr:last-child .happy-checkbox');
      $I->wait(1);
      $option = $I->grabValueFrom('#frm-attributeDataGrid-dataGrid-filter-group_action-group_action option:nth-child(2)');
      $I->executeJS('$("#frm-attributeDataGrid-dataGrid-filter-group_action-group_action").val("' . $option . '");');
      //$I->selectOption('#frm-attributeDataGrid-dataGrid-filter-group_action-group_action', array('value' => $option));
      //$I->fillField('#frm-attributeDataGrid-dataGrid-filter-group_action-group_action', $option);
      $I->wait(2);
      $I->click('#datagridgroup_action_submit');
      $I->see('byly smazány', '.alert-success');
      }
     * 
     */
}
