<?php

use \Step\Acceptance\AdminLogin as AdminTester;

class OrderCest {

    /**
     * Try if set new order state is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function setOrderStateTest(AdminTester $I) {
        $I->wantTo('Try if set new order state is working');
        $I->loginAsAdmin();
        $I->wait(2);
        $I->amOnPage('/administrace/eshop/sprava-objednavek/');
        $I->wait(2);
        $I->click('#snippet-orderDataGrid-dataGrid-table tbody tr:first-child td:nth-last-child(2) button');
        $I->wait(2);
        $I->click('#snippet-orderDataGrid-dataGrid-table tbody tr:first-child .open ul li:last-child a');
        $I->wait(5);
        $I->see('Nový stav byl úspěšně nastaven a zákazník bude informován o změně', '.alert-success');
    }

    /**
     * Try if change order buyer form in order detail is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function orderBuyerFormTest(AdminTester $I) {
        $I->wantTo('Try if change order buyer form in order detail is working');
        $I->amOnPage('/administrace/eshop/sprava-objednavek/');
        $I->wait(2);
        $I->click('#snippet-orderDataGrid-dataGrid-table tbody tr:first-child td:last-child a');
        $I->wait(2);
        $I->click('#change-buyer-button');
        $I->wait(2);
        $I->fillField('person_detail[first_name]', 'Test editace');
        $I->click('#buyer-form-submit');
        $I->wait(2);
        $I->see('Údaje odběratele byly úspěšně změněny', '.alert-success');
    }

    /**
     * Try if change order billing infromation form in order detail is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function orderBillingInformationFormTest(AdminTester $I) {
        $I->wantTo('Try if change order billing infromation form in order detail is working');
        $I->amOnPage('/administrace/eshop/sprava-objednavek/');
        $I->wait(2);
        $I->click('#snippet-orderDataGrid-dataGrid-table tbody tr:first-child td:last-child a');
        $I->wait(2);
        $I->fillField('issued', date("d.m.Y"));
        $I->fillField('due_date', Date('d.m.Y', strtotime("+7 days")));
        $I->click('change');
        $I->wait(2);
        $I->see('Objednávka byla uložena', '.alert-success');
    }

    /**
     * Try if change order actual product change number form in order detail is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function orderProductNumberFormTest(AdminTester $I) {
        $I->wantTo('Try if change order actual product change number form in order detail is working');
        $I->amOnPage('/administrace/eshop/sprava-objednavek/');
        $I->wait(2);
        $I->click('#snippet-orderDataGrid-dataGrid-table tbody tr:first-child td:last-child a');
        $I->wait(2);
        $I->fillField('#order-items-table tbody tr:first-child input[type = "number"]', '2');
        $I->click('#order-items-table tbody tr:first-child td.quantity a.btn-default');
        $I->wait(2);
        $I->see('Produkty v objednávce byly úspěšně změněny.', '.alert-success');
    }

    /**
     * Try if add product form to order in order detail is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function addProductFormTest(AdminTester $I) {
        $I->wantTo('Try if add product form to order in order detail is working');
        $I->amOnPage('/administrace/eshop/sprava-objednavek/');
        $I->wait(2);
        $I->click('#snippet-orderDataGrid-dataGrid-table tbody tr:first-child td:last-child a');
        $I->wait(2);
        //$option = $I->grabValueFrom('form select[name=product_id] option:first-child');
        //$I->executeJS('$("form select[name=type]").val("' . $option . '");');
        $I->fillField('quantity', '2');
        $I->click('add');
        $I->wait(2);
        $I->see('Daný produkt byl úspěšně přidán!', '.alert-success');
    }

    /**
     * Try if delete product from order in order detail is working
     * @param  AdminTester $I
     * @return boolean
     * @depends addProductFormTest
     */
    public function deleteProductFormTest(AdminTester $I) {
        $I->wantTo('Try if delete product from order in order detail is working');
        $I->amOnPage('/administrace/eshop/sprava-objednavek/');
        $I->wait(2);
        $I->click('#snippet-orderDataGrid-dataGrid-table tbody tr:first-child td:last-child a');
        $I->wait(2);
        $I->click('#order-items-table tbody tr:nth-last-child(3) td.quantity a.btn-danger');
        $I->wait(2);
        $I->see('Produkty v objednávce byly úspěšně změněny.', '.alert-success');
    }

}
