<?php

use \Step\Acceptance\AdminLogin as AdminTester;

class ProductCategoryCest {

    /**
     * Try if product category creating is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function productCategoryCreateTest(AdminTester $I) {
        $I->wantTo('try if product category creating is working');
        $I->loginAsAdmin();
        $I->wait(2);
        $I->amOnPage('/administrace/eshop/produkty/sprava-kategorii');
        $I->wait(2);
        $I->click('.editor-node:first-child button');
        $I->wait(1);
        $I->fillField('#root > li:last-child input.tree-menu-title-editor', 'ZZZZ Pokusná kategorie produktů v rámci testů');
        $I->fillField('#root > li:last-child input.tree-menu-url-editor', 'pokus');
        $I->click('_submit');
        $I->wait(3);
        $I->see('Kategorie byly úspěšně uloženy', '.alert-success');
    }

    /**
     * Try if product category delete is working
     * @param  AdminTester $I
     * @return boolean
     * @depends productCategoryCreateTest
     */
    public function productCategoryDeleteTest(AdminTester $I) {
        $I->wantTo('try if product category delete is working');
        $I->amOnPage('/administrace/eshop/produkty/sprava-kategorii/');
        $I->wait(2);
        $I->click('#root > li:last-child .btn-danger');
        $I->wait(1);
        $I->click('_submit');
        $I->wait(2);
        $I->see('Kategorie byly úspěšně uloženy.', '.alert-success');
    }

}
