<?php

use \Step\Acceptance\AdminLogin as AdminTester;

class ProductCest {

    /**
     * Try if product creating is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function productCreatingTest(AdminTester $I) {
        $I->wantTo('try if product creating is working');
        $I->loginAsAdmin();
        $I->wait(2);
        $I->amOnPage('/administrace/eshop/produkty/upravit/');
        $I->wait(1);
        $I->fillField('title', 'ZZZ Pokusný produkt v rámci testů');
        $I->fillField('short_description', 'Pokusný produkt v rámci testů');
        $I->click('#frm-productForm-form-categories');
        $I->clickWithLeftButton('#frm-productForm-form-categories', 5, 5);
        $I->wait(2);
        $I->click('#productFormSubmit');
        $I->wait(2);
        $I->see('Produkt byl úspěšně uložen.', '.alert-success');
    }

    /**
     * Try if simple product set variation is working
     * @param  AdminTester $I
     * @return boolean
     * @depends productCreatingTest
     */
    public function productEditVariationTest(AdminTester $I) {
        $I->wantTo('try if simple product set variation is working');
        $I->amOnPage('/administrace/eshop/produkty/');
        $I->wait(2);
        $I->click('#snippet-productDataGrid-dataGrid-table tbody tr:last-child td:last-child a:first-child');
        $I->wait(2);
        $I->click('#simpleProductVariantSubmit');
        $I->wait(2);
        $I->see('Produkt byl úspěšně uložen.', '.alert-success');
    }

    /**
     * Try if simple product can be change to variation product
     * @param AdminTester $I
     * @return boolean
     * @depends productCreatingTest
     */
    public function productEditTest(AdminTester $I) {
        $I->wantTo('Try if simple product can be change to variation product');
        $I->amOnPage('/administrace/eshop/produkty/');
        $I->wait(2);
        $I->click('#snippet-productDataGrid-dataGrid-table tbody tr:last-child td:last-child a:first-child');
        $I->wait(2);
        $I->fillField('title', 'ZZZ Pokusný product v rámci testů - editace');
        $option = $I->grabValueFrom('form select[name=type] option:nth-child(2)');
        $I->executeJS('$("form select[name=type]").val("' . $option . '");');
        $I->wait(2);
        $I->click('#productFormSubmit');
        $I->wait(2);
        $I->see('Produkt byl úspěšně uložen.', '.alert-success');
    }

    /**
     * Try select variation form is working
     * @param AdminTester $I
     * @return boolean
     * @depends productCreatingTest
     */
    public function setAttributeTest(AdminTester $I) {
        $I->wantTo('Try select variation form is working');
        $I->amOnPage('/administrace/eshop/produkty/');
        $I->wait(2);
        $I->click('#snippet-productDataGrid-dataGrid-table tbody tr:last-child td:last-child a:first-child');
        $I->wait(2);
        $I->click('#frm-variableProductAttributeForm-variableProductAttributeForm .checkbox:nth-child(2) label');
        $I->wait(2);
        $I->click('#setAtrributeSubmit');
        $I->wait(2);
        $I->see('Atributy pro variabilní produkt byly úspěšně nastaveny.', '.alert-success');
    }

    /**
     * Try if delete product is working
     * @param  AdminTester $I
     * @return boolean
     * @depends productCreatingTest
     */
    public function deleteProductTest(AdminTester $I) {
        // User activity log
        $I->wantTo('try if delete product is working');
        $I->amOnPage('/administrace/eshop/produkty/');
        $I->wait(2);
        $I->click('#snippet-productDataGrid-dataGrid-table tbody tr:last-child td:last-child a:last-child');
        $I->wait(1);
        $I->acceptPopup();
        $I->wait(2);
        $I->see('byl smazán.', '.alert-success');
    }

}
