<?php

class FrontFormsCest {

    /**
     * Try if contact form is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function searchForm(AcceptanceTester $I) {
        $I->wantTo('try if search form is working');
        $I->amOnPage('/');
        $I->fillField('#header-search', 'neznamy produkt');
        $I->click('#headerSearchSubmit');
        $I->wait(2);
        $I->seeNumberOfElements("#products > div", 0);
    }

    /**
     * Try if contact form is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function filterForm(AcceptanceTester $I) {
        $I->wantTo('try if product filter form is working');
        $I->amOnPage('/produkty');
        $I->click('filter');
        $I->wait(2);
        $I->see('Skladem', '.form-component');
    }

    /**
     * Try if contact form is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function contactForm(AcceptanceTester $I) {
        $I->wantTo('try if contact form is working');
        $I->amOnPage('/kontakty');
        $I->fillField('#frm-contactForm-contactForm-name', 'Test');
        $I->fillField('#frm-contactForm-contactForm-email', 'jan@ideatech.cz');
        $I->fillField('#frm-contactForm-contactForm-phone', '12345678');
        $I->fillField('#frm-contactForm-contactForm-message', 'Automaticke testovani kontaktniho formulare.');
        $I->click('input[type=submit]');
        $I->wait(2);
        $I->see('Email byl úspěšně odeslán.', '.alert-success');
    }

    /**
     * Try if newsletter form is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function newsletterForm(AcceptanceTester $I) {
        $I->wantTo('try if newsletter form is working');
        $I->amOnPage('/');
        $I->fillField('#frm-footer-newsletterForm-newsletterForm-email', 'test@test.cz');
        $I->click('#newsletterSubmit');
        $I->wait(2);
        $I->see('Děkujeme za Váš zájem, na email jsme Vám poslali potvrzení.', '.alert-success');
    }

}
