<?php

class UserAccessCest {

    /**
     * Try if user has access to edit profil if not logged in
     * @param  AdminTester $I
     * @return boolean
     */
    public function profilEditAccess(AcceptanceTester $I) {
        $I->wantTo('try if user has access to edit profil if not logged in');
        $I->amOnPage('/osoby/sprava');
        $I->wait(2);
        $I->see('Nejsi přihlášený nebo nemáš dostatečná oprávnění.', '.alert-danger');
    }
    
    /**
     * Try if user has access to change password if not logged in
     * @param  AdminTester $I
     * @return boolean
     */
    public function passwordChangeAccess(AcceptanceTester $I) {
        $I->wantTo('try if user has access to change password if not logged in');
        $I->amOnPage('/osoby/zmena-hesla');
        $I->wait(2);
        $I->see('Nejsi přihlášený nebo nemáš dostatečná oprávnění.', '.alert-danger');
    }
    
    /**
     * Try if user has access to set order summary if not added product into basket
     * @param  AdminTester $I
     * @return boolean
     */
    public function orderMethodsAccess(AcceptanceTester $I) {
        $I->wantTo('try if user has access to set order summary if not added product into basket');
        $I->amOnPage('/kosik/summary');
        $I->wait(2);
        $I->see('Máte prázdný košík', '.alert-danger');
    }
    
    /**
     * Try if user has access to view thanks page
     * @param  AdminTester $I
     * @return boolean
     */
    public function thanksPageAccess(AcceptanceTester $I) {
        $I->wantTo('try if user has access to view thanks page');
        $I->amOnPage('/kosik/thanks?order_id=1');
        $I->wait(2);
        $I->see('Nelze zobrazit děkovnou stránku', '.alert-danger');
    }
    
    
    

}
