/*!
 * remark (http://getbootstrapadmin.com/remark)
 * Copyright 2016 amazingsurge
 * Licensed under the Themeforest Standard Licenses
 */
(function(document, window, $) {
  'use strict';

  // ScoreChart
  // ------------------------------
  (function() {
    var scoreChart = function(id, labelList, seriesList) {
      var scoreChart = new Chartist.Line('#' + id, {
        labels: labelList,
        series: seriesList
      }, {
        lineSmooth: Chartist.Interpolation.simple({
          divisor: 2
        }),
        fullWidth: true,
        chartPadding: {
          right: 25
        },
        series: {
          "series-1": {
            showArea: true
          },
          "series-2": {
            showArea: true
          }
        },
        axisX: {
          showGrid: false
        },
        axisY: {
          labelInterpolationFnc: function(value) {
            return (value / 1000) + 'tis.'
          },
          scaleMinSpace: 40
        },
        plugins: [
          Chartist.plugins.tooltip()
        ],
        low: 0,
        height: 300
      });

      scoreChart.on('created', function(data) {
        var defs = data.svg.querySelector('defs') || data.svg.elem('defs');
        var width = data.svg.width();
        var height = data.svg.height();

        var filter = defs
          .elem('filter', {
            x: 0,
            y: "-10%",
            id: 'shadow' + id
          }, '', true);

        filter.elem('feGaussianBlur', { in: "SourceAlpha",
          stdDeviation: "8",
          result: 'offsetBlur'
        });
        filter.elem('feOffset', {
          dx: "0",
          dy: "10"
        });

        filter.elem('feBlend', { in: "SourceGraphic",
          mode: "multiply"
        });

        return defs;
      }).on('draw', function(data) {
        if (data.type === 'line') {
          data.element.attr({
            filter: 'url(#shadow' + id + ')'
          });

        } else if (data.type === 'point') {

          var parent = new Chartist.Svg(data.element._node.parentNode);
          parent.elem('line', {
            x1: data.x,
            y1: data.y,
            x2: data.x + 0.01,
            y2: data.y,
            "class": 'ct-point-content'
          });
        }
        if (data.type === 'line' || data.type == 'area') {
          data.element.animate({
            d: {
              begin: 1000 * data.index,
              dur: 1000,
              from: data.path.clone().scale(1, 0).translate(0, data.chartRect.height()).stringify(),
              to: data.path.clone().stringify(),
              easing: Chartist.Svg.Easing.easeOutQuint
            }
          });
        }
      });
    }

    var MonthLabels = [];
    var MonthSeries = [];
    var MonthData = $.getJSON( window.scoreChartMonthHandleUrl, function( data ) {
        MonthLabels = data.labels;
        MonthSeries = data.series;
        scoreChart("scoreLineToMonth", MonthLabels, MonthSeries);
    });


  })();
})(document, window, jQuery);
