/* 
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

/**
 * Funkce zajistí při změně v selectu, aby se skryly některé části formuláře
 * Zůstane zobrazená jen část z formuláře pro konkrétní typ, který je aktuálně zvolen
 * Při změně volám funkci toggleOtherControls, která skrýva ostatní prvky kromě aktuálně zvoleného
 * @param selectSelector string selektor pro form select
 */
function toggleFormControls(selectSelector) {
    $(selectSelector).on("change", function () {
        $("#" + $(this).val() + "-controls").slideDown(500);
        
        toggleOtherControls(selectSelector, false);
    });
}

/**
 * Funkce zajistí při načtení stránky, aby se skryly všechny ostatní části formuláře, kromě toho, který je aktuálně zvolen
 * Zůstane zobrazená jen část z formuláře pro konkrétní typ, který je aktuálně zvolen
 * @param selectSelector string selektor pro form select
 * @param defaultInit bool počáteční init, pokud je true, vše je provede bez efektů, jinak s efekty
 */
function toggleOtherControls(selectSelector, defaultInit){
    var actualVal = $(selectSelector).val();
    
    $(selectSelector + ">option").each(function() {
            if($(this).val() != actualVal){
                if(!defaultInit){
                    $("#" + $(this).val() + "-controls").delay(500).slideUp(500);
                }else{
                    $("#" + $(this).val() + "-controls").hide();
                }
                
            }
        });
}

$(function () {
    // Registrace známých form selectů
    toggleFormControls('#frm-discountLevelsForm-form-type');
    // Při načtení stránky skryju všechny ostatní nepotřebné části
    toggleOtherControls('#frm-discountLevelsForm-form-type', true);
    // Na zatku je obsahova cast s formularem skryta, pote ji zobrazim
    // Je to lepsi nez zobrazit a pak skryvat - uzivatel by videl, ze je tam neco navic
    $("#form-content").slideDown(1000);
});