/* 
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

/**
 * Converts text from URL to slug
 * @param text
 * @returns {string}
 */
function convertToSlug(str) {
    str = str.replace(/^\s+|\s+$/g, ''); // trim
    str = str.toLowerCase();

    // remove accents, swap ñ for n, etc
    var from = "ãàáäâẽèéëêìíïîõòóöôùúüûñç·/_,:;ěščřžýůďť";
    var to   = "aaaaaeeeeeiiiiooooouuuunc------escrzyudt";
    for (var i=0, l=from.length ; i<l ; i++) {
        str = str.replace(new RegExp(from.charAt(i), 'g'), to.charAt(i));
    }

    str = str.replace(/[^a-z0-9 -]/g, '') // remove invalid chars
        .replace(/\s+/g, '-') // collapse whitespace and replace by -
        .replace(/-+/g, '-'); // collapse dashes

    return str;
}

$(function () {
    var title = $('#frm-productForm-form-title');
    var url = $('#frm-productForm-form-url');

    if(url.val() == '')
    {
        title.bind('input', function() {
            var val = title.val();
            var slug = convertToSlug(val);
            url.val(slug); // get the current value of the input field.
        });
    }

});