/* 
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

const SEO_TITLE_INPUT = "frm-pageForm-pageForm-seo_title";
const SEO_DESCRIPTION_INPUT = "frm-pageForm-pageForm-seo_description";
const SEO_TITLE_LEGTH = 55;
const SEO_DESCRIPTION_LEGTH = 155;
const NOT_OPTIMAL_COLOR = '#369';
const OPTIMAL_COLOR = '#8BC34A';
const CRITICAL_COLOR = '#F44336';

$(document).ready(function () {
    // TITLE
    optionalLegthChecker(SEO_TITLE_INPUT, SEO_TITLE_LEGTH);
    $("#container-" + SEO_TITLE_INPUT).progressbar({
        value: $('#' + SEO_TITLE_INPUT).val().length
    });

    // DESCRIPTION
    optionalLegthChecker(SEO_DESCRIPTION_INPUT, SEO_DESCRIPTION_LEGTH);
    $("#container-" + SEO_DESCRIPTION_INPUT).progressbar({
        value: $('#' + SEO_DESCRIPTION_INPUT).val().length
    });
});

function optionalLegthChecker(inputId, length) {
    // Nejvetší délka pro výpočet %
    var highestLength = length + 20;
    // Nejmenší optimální délka
    var lowestOptimalLegth = length - 5;
    // Nejvetší optimální délka
    var highestOptimalLegth = length + 5;
    
    // Přidání conaineru k inputu
    $('#' + inputId).parent().append("<div id='container-" + inputId + "'></div>");

    // Call progress bar constructor    
    $('#' + inputId).keyup(function () {
        // Aktuální délka (počet znaků v inputu)
        var actualLength = $(this).val().length;

        // Vypočet procent
        var total = (100 * actualLength) / highestLength;
        
        // Přidání progressbaru
        $("#container-" + inputId).progressbar({value: total});

        // Nastavení barev pro progressbar
        if(actualLength < lowestOptimalLegth){
            $('#container-' + inputId + ' .ui-widget-header').css({"background": NOT_OPTIMAL_COLOR});
        }else if(actualLength >= lowestOptimalLegth && actualLength <= highestOptimalLegth){
            $('#container-' + inputId + ' .ui-widget-header').css({"background": OPTIMAL_COLOR});
        }else{
            $('#container-' + inputId + ' .ui-widget-header').css({"background": CRITICAL_COLOR});
        }
       
    });
}