/* 
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

/* global HTMLCollection */
HTMLCollection.prototype.indexOf = [].indexOf;

/**
 * Hodnocení produktu pomocí hvězdiček
 * Používané "pole" children není pole, ale je to objekt HTMLCollection - není pole, ale chová se jako pole. Nemá metodu indexOf 
 * Ručně mu říknu, aby přidal do objektu HtmlCollection funkci úplně stejnou jako je indexOf() na poli
 */
$(document).ready(function () {
    $("#frm-productDetail-reviewForm-reviewForm").hide();
    $("#write-review").click(showReviewForm);

    var stars = $(".review-star");
    stars.click(setStars);
    // Hover - "rozsvítím" hvězdy zleva po najetí myši
    stars.mouseenter(starHover);
    // Pokud mouseLEave - rozsvítí vybraný počet hvězd od uživatele, na které kliknul
    stars.mouseleave(returnStarState);

    // Defaultně po načtení stránky rozsvítím 3 hvězdy - index je od 0
    setStars.call(stars[2]);
});

/**
 * Zobrazí/skryje formulář pro recenze
 */
function showReviewForm() {
    $("#frm-productDetail-reviewForm-reviewForm").slideToggle(500);
}

/**
 * Uloží nakliknutou hodnotu na hvězdách do skrytého pole
 */
function setStars() {
    // this je objekt (hvězdižka) na kterou se kliklo, index v rodičovském elementu
    // "pole" children není pole, ale je to objekt HTMLCollection - není pole, ale chová se jako pole. Nemá metodu indexOf 
    //  Ručně mu říknu, aby přidal do objektu HtmlCollection funkci úplně stejnou jako je indexOf() na poli - viz začátek
    var selectedStars = this.parentElement.children.indexOf(this);
    // Uloží nakliknutou hodnotu na hvězdách do skrytého pole
    $("#rating")[0].value = selectedStars + 1;

    // Zavolám metodu která vybraný počet hvězdiček "rozsvítí"
    returnStarState();
}

/**
 * Zhasne hvězdy tak, aby byl zobrazený původní (nakliknutý) stav
 */
function returnStarState() {
    // První zhasnu všechny
    var stars = $(".review-star");
    stars.addClass("glyphicon-star-empty");
    stars.removeClass("glyphicon-star");

    // Potom zosvítím počet vybraných od uživatele, číslo beru ze skrýteho prvku formuláře
    for (var i = 0; i < $("#rating")[0].value; i++) {
        $(stars[i]).removeClass("glyphicon-star-empty");
        $(stars[i]).addClass("glyphicon-star");
    }
}

/**
 * Rozsvítí hvězdy zleva až do té, na které je kurzor myši
 */
function starHover() {
    // Získám hvězdy
    var stars = $(".review-star");
    // Index hvězdy, na kterou uživatel najel
    var selectedStars = this.parentElement.children.indexOf(this) + 1;
    // Všechny zhasnu
    stars.addClass("glyphicon-star-empty");
    stars.removeClass("glyphicon-star");

    // "Rozsvítím" až po index hvězdy, na kterou uživatel najel
    for (var i = 0; i < selectedStars; i++) {
        $(stars[i]).removeClass("glyphicon-star-empty");
        $(stars[i]).addClass("glyphicon-star");
    }
}